Package com.orchestranetworks.rest

# Interface ApplicationConstant

All Known Implementing Classes:
  `RESTApplicationAbstract`

public interface ApplicationConstant
This interface provides constants for JAX-RS applications configuration.

Since:
  5.9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_SERIALIZE_NULL_VALUES`
  Name of the property that defines if data attributes with a `null` value must be serialized or not.
  `static final String`
  `REST_DEFAULT_APPLICATION_PATH`
  Default web application `URL` mapping for JAX-RS application.
  `static final String`
  `REST_DEFAULT_OPENAPI_APPLICATION_PATH`
  Default OpenAPI web application `URL` mapping for JAX-RS OpenAPI application.

- ## Field Details

  - ### REST_DEFAULT_APPLICATION_PATH

    static final String REST_DEFAULT_APPLICATION_PATH
    Default web application `URL` mapping for JAX-RS application.

    This constant may be used with the `ApplicationPath` annotation when applied to a subclass of `RESTApplicationAbstract`.

    Here is a sample:

         @ApplicationPath(REST_DEFAULT_APPLICATION_PATH)

    See Also:
      - Constant Field Values

  - ### REST_DEFAULT_OPENAPI_APPLICATION_PATH

    static final String REST_DEFAULT_OPENAPI_APPLICATION_PATH
    Default OpenAPI web application `URL` mapping for JAX-RS OpenAPI application.

    This constant may be used with the `OpenApiApplicationPath` annotation when applied to a subclass of `RESTApplicationAbstract`.

    Here is a sample:

         @OpenApiApplicationPath(REST_DEFAULT_OPENAPI_APPLICATION_PATH)

    Since:
      6.0.8
    See Also:
      - Constant Field Values

  - ### KEY_SERIALIZE_NULL_VALUES

    static final String KEY_SERIALIZE_NULL_VALUES
    Name of the property that defines if data attributes with a `null` value must be serialized or not.

    If the property value is set with `true`, then data attributes with `null` values will appear in the serialized response like the following:

         {
                "attribute-1":null,
                "attribute-2":"aValue",
                "attribute-3":null
         }

    If it is set with `false`, then data attributes with `null` values will be skipped.

         {
                "attribute-2":"aValue"
         }

    Its default value is `false`.

    See Also:
      - `ApplicationConfigurator.addProperties(Map)`
      - Constant Field Values